Subject: Re: Linville's L2 rant... -- Re: PATCH Fix bonding active-backup behavior for VLAN interfaces

From: Ben Greear <[email-masked]>
Date: Tue, 01 Aug 2006 10:21:14 -0700

John W. Linville wrote:

>>>I'm just not sure that cleverness is worth the headache, especially
>>>since the most clever things usually only work by accident...
>>
>>Or, work by solid, modular design and small tweaks!
> 
> 
> Point taken.  But stashing little hacks in the networking core for
> specific virtual drivers isn't totally modular either.  And even if
> it were, "modular design" probably belongs on the list of "things
> that can be taken too far", like "everything in userland", "never
> use ioctl", and "microkernels are superior". :-)

To be honest, I'm not over-joyed to see bridging hooks included
in the VLAN code..but if that is what it takes to get bridging
and VLANs to play well and be flexible, I think it is a fair price.

It certainly wouldn't hurt to have someone take a holistic view of the
various L2 device interactions.  Just documenting current functionality
on, say, the netdev wiki would be a good first step.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com